Package org.apache.groovy.contracts.common.spi

# Class ProcessingContextInformation

java.lang.Object
org.apache.groovy.contracts.common.spi.ProcessingContextInformation

public class ProcessingContextInformation extends Object

Holds all context-specific information which is needed during the transformation phase of a single `Contract` and its related `ClassNode`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessingContextInformation(ClassNode classNode, SourceUnit sourceUnit, ReaderSource source)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addError(String msg, ASTNode expr)`
  `Contract`
  `contract()`
  `Object`
  `get(String key)`
  `boolean`
  `isClassInvariantsEnabled()`
  `boolean`
  `isConstructorAssertionsEnabled()`
  `boolean`
  `isPostconditionsEnabled()`
  `boolean`
  `isPreconditionsEnabled()`
  `void`
  `put(String key, Object value)`
  `ReaderSource`
  `readerSource()`
  `void`
  `setConstructorAssertionsEnabled(boolean other)`
  `SourceUnit`
  `sourceUnit()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessingContextInformation

    public ProcessingContextInformation(ClassNode classNode, SourceUnit sourceUnit, ReaderSource source)

- ## Method Details

  - ### setConstructorAssertionsEnabled

    public void setConstructorAssertionsEnabled(boolean other)

  - ### isConstructorAssertionsEnabled

    public boolean isConstructorAssertionsEnabled()

  - ### isPreconditionsEnabled

    public boolean isPreconditionsEnabled()

  - ### isPostconditionsEnabled

    public boolean isPostconditionsEnabled()

  - ### isClassInvariantsEnabled

    public boolean isClassInvariantsEnabled()

  - ### contract

    public Contract contract()

  - ### readerSource

    public ReaderSource readerSource()

  - ### sourceUnit

    public SourceUnit sourceUnit()

  - ### put

    public void put(String key, Object value)

  - ### get

    public Object get(String key)

  - ### addError

    public void addError(String msg, ASTNode expr)